searchNodes=[{"type":"extras","title":"Raspberry Pi 3 A+ and Zero 2 W","doc":"This is the base Nerves System configuration for the Raspberry Pi 3 Model A+ with the USB port running in gadget mode. &lt;sup&gt;[Image credit](#rpi)&lt;/sup&gt; Feature Description CPU 1.4 GHz quad-core ARM Cortex-A53 Memory 512 MB DRAM Storage MicroSD Linux kernel 5.15 w/ Raspberry Pi patches IEx terminal UART ttyAMA0 Can be changed to HDMI GPIO, I2C, SPI Yes - Elixir Circuits ADC No PWM Yes, but no Elixir support UART 1 available - ttyAMA0 Display HDMI or 7&quot; RPi Touchscreen Camera Yes - via rpi-userland Ethernet No WiFi Yes Bluetooth See Bluetooth Audio HDMI out","ref":"readme.html"},{"type":"extras","title":"Raspberry Pi 3 A+ and Zero 2 W - Gadget mode on the 3A+!","doc":"The Raspberry Pi 3 Model A+ is supported by the official nerves_system_rpi3 , but the USB port is configured to work as a host only. This Raspberry Pi can be connected directly to your computer via a USB cable like the Raspberry Pi Zeros. To do this, you'll need a USB A to USB A connector like this or this .","ref":"readme.html#gadget-mode-on-the-3a"},{"type":"extras","title":"Raspberry Pi 3 A+ and Zero 2 W - Using","doc":"The most common way of using this Nerves System is create a project with mix nerves.new and to export MIX_TARGET=rpi3a . See the Getting started guide for more information. If you need custom modifications to this system for your device, clone this repository and update as described in Making custom systems .","ref":"readme.html#using"},{"type":"extras","title":"Raspberry Pi 3 A+ and Zero 2 W - Supported WiFi devices","doc":"The base image includes drivers for the onboard Raspberry Pi 3 A+ wifi module ( brcmfmac driver).","ref":"readme.html#supported-wifi-devices"},{"type":"extras","title":"Raspberry Pi 3 A+ and Zero 2 W - Bluetooth","doc":"BlueHeronTransportUART supports Bluetooth on the Raspberry Pi 3 A+ or Zero 2 W using ttyS0 . The details are similar to the [RPi Zero W] ( https://github.com/nerves-project/nerves_system_rpi0/issues/224#issuecomment-913799838 ).","ref":"readme.html#bluetooth"},{"type":"extras","title":"Raspberry Pi 3 A+ and Zero 2 W - Audio","doc":"The Raspberry Pi has many options for audio output. This system supports the HDMI and stereo audio jack output. The Linux ALSA drivers are used for audio output. The general Raspberry Pi audio documentation mostly applies to Nerves. For example, to force audio out the HDMI port, run: cmd ( &quot;amixer cset numid=3 2&quot; ) Change the last argument to amixer to 1 to output to the stereo output jack.","ref":"readme.html#audio"},{"type":"extras","title":"Raspberry Pi 3 A+ and Zero 2 W - Linux's preempt_rt patches","doc":"If you need better real-time performance from the Linux kernel, the preempt_rt patch set may help. Be aware that we do not test with the patches so this may not work. To enable it, make a custom system using this one as a base and add the following to the nerves_defconfig : BR2_LINUX_KERNEL_PATCH=&quot;http://cdn.kernel.org/pub/linux/kernel/projects/rt/4.19/patch-4.19.25-rt16.patch.xz&quot; Please verify the patch version since these instructions may be out-of-date. Next, update the Linux configuration to use it. Review the Nerves documentation for running make linux-menuconfig and enable PREEMPT_RT_FULL . Alternately, make the following change to the Linux configuration: -CONFIG_PREEMPT=y +CONFIG_PREEMPT_RT_FULL=y Build the system and you should now have a preempt_rt kernel.","ref":"readme.html#linux-s-preempt_rt-patches"},{"type":"extras","title":"Raspberry Pi 3 A+ and Zero 2 W - Provisioning devices","doc":"This system supports storing provisioning information in a small key-value store outside of any filesystem. Provisioning is an optional step and reasonable defaults are provided if this is missing. Provisioning information can be queried using the Nerves.Runtime KV store's Nerves.Runtime.KV.get/1 function. Keys used by this system are: Key Example Value Description nerves_serial_number &quot;12345678&quot; By default, this string is used to create unique hostnames and Erlang node names. If unset, it defaults to part of the Raspberry Pi's device ID. The normal procedure would be to set these keys once in manufacturing or before deployment and then leave them alone. For example, to provision a serial number on a running device, run the following and reboot: iex&gt; cmd ( &quot;fw_setenv nerves_serial_number 12345678&quot; ) This system supports setting the serial number offline. To do this, set the NERVES_SERIAL_NUMBER environment variable when burning the firmware. If you're programming MicroSD cards using fwup , the commandline is: sudo NERVES_SERIAL_NUMBER=12345678 fwup path_to_firmware.fw Serial numbers are stored on the MicroSD card so if the MicroSD card is replaced, the serial number will need to be reprogrammed. The numbers are stored in a U-boot environment block. This is a special region that is separate from the application partition so reformatting the application partition will not lose the serial number or any other data stored in this block. Additional key value pairs can be provisioned by overriding the default provisioning.conf file location by setting the environment variable NERVES_PROVISIONING=/path/to/provisioning.conf . The default provisioning.conf will set the nerves_serial_number , if you override the location to this file, you will be responsible for setting this yourself.","ref":"readme.html#provisioning-devices"},{"type":"extras","title":"Raspberry Pi 3 A+ and Zero 2 W - Linux kernel and RPi firmware/userland","doc":"There's a subtle coupling between the nerves_system_br version and the Linux kernel version used here. nerves_system_br provides the versions of rpi-userland and rpi-firmware that get installed. I prefer to match them to the Linux kernel to avoid any issues. Unfortunately, none of these are tagged by the Raspberry Pi Foundation so I either attempt to match what's in Raspbian or take versions of the repositories that have similar commit times.","ref":"readme.html#linux-kernel-and-rpi-firmware-userland"},{"type":"extras","title":"Raspberry Pi 3 A+ and Zero 2 W - Installation","doc":"If you're new to Nerves, check out the nerves_init_gadget project for creating a starter project for the Raspberry Pi 3 Model A+. It will get you started with the basics like bringing up the virtual Ethernet interface, initializing the application partition, and enabling ssh-based firmware updates. Image credit : This image is from raspberrypi.org .","ref":"readme.html#installation"},{"type":"extras","title":"Changelog","doc":"This project does NOT follow semantic versioning. The version increases as follows: Major version updates are breaking updates to the build infrastructure. These should be very rare. Minor version updates are made for every major Buildroot release. This may also include Erlang/OTP and Linux kernel updates. These are made four times a year shortly after the Buildroot releases. Patch version updates are made for Buildroot minor releases, Erlang/OTP releases, and Linux kernel updates. They're also made to fix bugs and add features to the build infrastructure.","ref":"changelog.html"},{"type":"extras","title":"Changelog - v1.23.0","doc":"This is a major update that brings in Erlang/OTP 26, Buildroot 2023.02.2, Linux 5.15.84, and Raspberry Pi firmware updates. New features CA certificates are included for OTP 26. Updated dependencies nerves_system_br v1.23.1 Buildroot 2023.02.2 Erlang/OTP 26.0.2 Linux 5.15.84 (Raspberry Pi Linux tag 1.20230106)","ref":"changelog.html#v1-23-0"},{"type":"extras","title":"Changelog - v1.22.2","doc":"This is a bug and security fix update. It should be a low risk upgrade from v1.22.1. Changes Change FPU mode to fp-armv8. This mode enables additional instructions that are needed for Tensorflow Lite. Updated dependencies nerves_system_br v1.22.5 Buildroot 2022.11.3","ref":"changelog.html#v1-22-2"},{"type":"extras","title":"Changelog - v1.22.1","doc":"This is a bug fix and Erlang version bump from 25.2 to 25.2.3. It should be a low risk upgrade from v1.22.0. Updated dependencies nerves_system_br v1.22.3 Buildroot 2022.11.1","ref":"changelog.html#v1-22-1"},{"type":"extras","title":"Changelog - v1.22.0","doc":"This is a Buildroot version update that appears to mostly contain bug and security fixes. It should be a low risk upgrade to v1.21.2. Updated dependencies nerves_system_br v1.22.1 Buildroot 2022.11 GCC 12.2","ref":"changelog.html#v1-22-0"},{"type":"extras","title":"Changelog - v1.21.2","doc":"Changes Two Buildroot patch updates and an Erlang minor version update Nerves Heart v2.0 is now included. Nerves Heart connects the Erlang runtime to a hardware watchdog. v2.0 has numerous updates to improve information that you can get and also has more safeguards to avoid conditions that could cause a device to hang forever. Updated dependencies linux 5.15.78 (RPi 1.20221104) nerves_system_br v1.21.6 Erlang/OTP 25.2 Buildroot 2022.08.3 nerves_heart v2.0.2","ref":"changelog.html#v1-21-2"},{"type":"extras","title":"Changelog - v1.21.1","doc":"Changes Reduce first-time Linux kernel download by using tarball source Updated dependencies nerves_system_br v1.21.2 Erlang/OTP 25.1.2","ref":"changelog.html#v1-21-1"},{"type":"extras","title":"Changelog - v1.21.0","doc":"Changes Support aarch64 Linux builds Add libdtc to support runtime loading of device tree overlays Updated dependencies nerves_system_br v1.21.1 and also see nerves_system_br v1.21.0 Buildroot 2022.08.1 Erlang/OTP 25.1.1","ref":"changelog.html#v1-21-0"},{"type":"extras","title":"Changelog - v1.20.2","doc":"Updated dependencies nerves_system_br v1.20.6 Erlang/OTP 25.0.4 Buildroot 2022.05.2 Also see Buildroot 2022.05.1 changes","ref":"changelog.html#v1-20-2"},{"type":"extras","title":"Changelog - v1.20.1","doc":"Updated dependencies nerves_system_br v1.20.4 Erlang/OTP 25.0.3","ref":"changelog.html#v1-20-1"},{"type":"extras","title":"Changelog - v1.20.0","doc":"This release updates to Buildroot 2022.05, Linux 5.15.32 (from Linux 5.10) and uses GCC 11.3 (from GCC 10.3). The Linux kernel upgrade could introduce a regression, so please verify hardware-specific functionality in your firmware. If you have cloned this repository for a custom system, please make sure that you have CONFIG_NOP_USB_XCEIV=y in your Linux kernel configuration. Updated dependencies nerves_system_br v1.20.3 Buildroot 2022.05 Erlang/OTP 25.0.2","ref":"changelog.html#v1-20-0"},{"type":"extras","title":"Changelog - v1.19.0","doc":"This release updates to Buildroot 2022.02.1 and OTP 25.0. While this should be an easy update for most projects, many programs have been updated. Please review the changes in the updated dependencies for details. Updated dependencies nerves_system_br v1.19.0 Buildroot 2022.02.1 . Also see Buildroot 2022.02 Erlang/OTP 25.0","ref":"changelog.html#v1-19-0"},{"type":"extras","title":"Changelog - v1.18.4","doc":"This release bumps Erlang to 24.3.2 and should be a low risk upgrade from the previous release. Changes Pull in upstream Linux SquashFS patch to improve file system performance Updated dependencies nerves_system_br v1.18.6","ref":"changelog.html#v1-18-4"},{"type":"extras","title":"Changelog - v1.18.3","doc":"This is a Buildroot and Erlang bug and security fix release. It should be a low risk upgrade from the previous release. Updated dependencies nerves_system_br v1.18.5","ref":"changelog.html#v1-18-3"},{"type":"extras","title":"Changelog - v1.18.2","doc":"This is a Buildroot and Erlang bug fix release. It should be a low risk upgrade from the previous release. Updated dependencies nerves_system_br v1.18.4 Changes Specify CPU-specific flags when compiling NIFs and ports. This fixes an issue where some optimizations could not be enabled in NIFs even though it should be possible to have them. E.g., ARM NEON support for CPUs that have it. Build the Wireguard kernel driver. This is a small device driver that enables a number of VPN-based use cases.","ref":"changelog.html#v1-18-2"},{"type":"extras","title":"Changelog - v1.18.1","doc":"Updated dependencies nerves_system_br v1.18.3 Changes The cpufreq directories are available again. This was a regression that would break code that manually adjusted the CPU frequency. Programs that use OpenMP will run now. The OpenMP shared library ( libgomp.so ) was supplied by the toolchain, but not copied.","ref":"changelog.html#v1-18-1"},{"type":"extras","title":"Changelog - v1.18.0","doc":"This release updates to Buildroot 2021.11 and OTP 24.2. If you have made a custom system, please review the nerves_system_br release notes since Buildroot 2021.11 changed some Raspberry Pi firmware options. Updated dependencies nerves_system_br v1.18.2 Buildroot 2021.11 Erlang/OTP 24.2 Raspberry Pi WiFi firmware Linux 5.10.88 with Raspberry Pi patches GCC 10.3 Improvements Support for the dl.nerves-project.org backup site. Due to a GitHub outage in November, there was a 2 day period of failing builds since some packages could not be downloaded. We implemented the backup site to prevent this in the future. This update is in the nerves_defconfig . Use new build ORB on CircleCI. This ORB will shorten build times to fit in CircleCI's new free tier limits. Please update if building your own systems.","ref":"changelog.html#v1-18-0"},{"type":"extras","title":"Changelog - v1.17.3","doc":"Updated dependencies nerves_system_br v1.17.4 Buildroot 2021.08.2 Erlang/OTP 24.1.7 .","ref":"changelog.html#v1-17-3"},{"type":"extras","title":"Changelog - v1.17.2","doc":"This release updates the Linux kernel from 5.4 to 5.10 to follow the Raspberry Pi OS. This is using the latest Linux kernel and Raspberry Pi firmware at the time of this release to support the Raspberry Pi Zero 2 W. New features Support the Raspberry Pi Zero 2 W Updated dependencies nerves_system_br v1.17.3 Erlang/OTP 24.1.4 . Linux 5.10.76 with Raspberry Pi patches","ref":"changelog.html#v1-17-2"},{"type":"extras","title":"Changelog - v1.17.1","doc":"This is a security/bug fix patch release. It should be safe to update for everyone. Updated dependencies nerves_system_br v1.17.1 Buildroot 2021.08.1 Erlang/OTP 24.1.2 Improvements Include software versioning and licensing info (see legal-info directory in artifact) Force core frequency to support Bluetooth. This mirrors a Raspberry Pi 3 configuration Remove espeak. This reduces firmware sizes and espeak was removed from other systems some time ago. Sync display backlight settings with the Raspberry Pi 3 configuration so that the official 7&quot; display works with the 3A as well.","ref":"changelog.html#v1-17-1"},{"type":"extras","title":"Changelog - v1.17.0","doc":"This release updates to Buildroot 2021.08 and OTP 24.1. If you have made a custom system off this one, please review the nerves_system_br v1.17.0 release notes. Updated dependencies nerves_system_br v1.17.0 Buildroot 2021.08 Erlang/OTP 24.1","ref":"changelog.html#v1-17-0"},{"type":"extras","title":"Changelog - v1.16.2","doc":"This release updates Erlang/OTP from 24.0.3 to 24.0.5 and Buildroot from 2021.05 to 2021.05.1. Both of these are security/bug fix updates. This is expected to be a safe upgrade from v1.16.1 for all users. Updated dependencies nerves_system_br v1.16.4 Erlang/OTP 24.0.5 Improvements Beta support for using a runtime.exs script for runtime configuration. Added a provision task to the fwup.config to enable re-provisioning a MicroSD card without changing its contents. Adds a default /etc/sysctl.conf that enables use of ICMP in Erlang. This requires nerves_runtime v0.11.5 or later to automatically load the sysctl variables. With it using :gen_udp to send/receive ICMP will &quot;just work&quot;. It also makes it easier to add other sysctl variables if needed.","ref":"changelog.html#v1-16-2"},{"type":"extras","title":"Changelog - v1.16.1","doc":"This release updates Nerves Toolchains to v1.4.3 and OTP 24.0.3. It should be safe for everyone to apply. Updated dependencies nerves_system_br v1.16.1 Erlang/OTP 24.0.3 nerves toolchains v1.4.3","ref":"changelog.html#v1-16-1"},{"type":"extras","title":"Changelog - v1.16.0","doc":"This release updates to Buildroot 2021.05 and OTP 24.0.2. If you have made a custom system off this one, please review the nerves_system_br v1.16.0 release notes. Updated dependencies nerves_system_br v1.16.0 Buildroot 2021.05 Erlang/OTP 24.0.2 Improvements This release now contains debug symbols and includes the Build-ID in the ELF headers. This makes it easier to get stack traces from C programs. As before, the Nerves tooling strips all symbols from firmware images, so this won't make programs bigger. Enable compile-time wpa_supplicant options to support WPA3, mesh networking, WPS and autoscan.","ref":"changelog.html#v1-16-0"},{"type":"extras","title":"Changelog - v1.15.1","doc":"This is a security/bug fix release that updates to Buildroot 2021.02.1 and OTP 23.3.1. It should be safe for everyone to apply. Updated dependencies nerves_system_br v1.15.1 Buildroot 2021.02 Erlang/OTP 23.3.1","ref":"changelog.html#v1-15-1"},{"type":"extras","title":"Changelog - v1.15.0","doc":"This release updates to Buildroot 2021.02 and OTP 23.2.7. If you have made a custom system off this one, please review the nerves_system_br v1.15.0 release notes. The Nerves toolchain has also been updated to v1.4.2. This brings in Linux 4.14 headers to enable use of cdev and eBPF. This won't affect most users. Updated dependencies nerves_system_br v1.15.0 Buildroot 2021.02 Erlang/OTP 23.2.7 nerves toolchains v1.4.2","ref":"changelog.html#v1-15-0"},{"type":"extras","title":"Changelog - v1.14.0","doc":"This release updates to Buildroot 2020.11.2, GCC 10.2 and OTP 23.2.4. When migrating custom systems based, please be aware of the following important changes: There's a new getrandom syscall that is made early in BEAM startup. This has the potential to block the BEAM before Nerves can start rngd to provide entropy. We have not seen this issue here, but have updated erlinit.config for the time being as a precaution. The GCC 10.2.0 toolchain has a different name that calls out &quot;nerves&quot; as the vendor and the naming is now more consistent with other toolchain providers. Experimental support for tooling that requires more information about the target has been added. The initial support focuses on zigler. Updated dependencies nerves_system_br: bump to v1.14.4 Buildroot 2020.11.2 Erlang/OTP 23.2.4 Nerves toolchains 1.4.1","ref":"changelog.html#v1-14-0"},{"type":"extras","title":"Changelog - v1.13.3","doc":"This is a bug fix release and contains no major changes. Updated dependencies nerves_system_br: bump to v1.13.7 Erlang/OTP 23.1.5","ref":"changelog.html#v1-13-3"},{"type":"extras","title":"Changelog - v1.13.2","doc":"This release includes a patch release update to Buildroot 2020.08.2 . Updated dependencies nerves_system_br: bump to v1.13.5 erlinit 1.9.0 Improvements Switched source for built-in WiFi module firmware. This pulls in newer firmware versions that were found to fix issues on the Raspberry Pi 4. It may improve built-in WiFi on other Raspberry Pis.","ref":"changelog.html#v1-13-2"},{"type":"extras","title":"Changelog - v1.13.1","doc":"The main change in this release is to bump the Linux kernel to 5.4. This follows the kernel update in the Raspberry Pi OS. If you have based a custom system off of this one, please inspect the nerves_defconfig for WiFi firmware changes. WiFi firmware is no longer being pulled from the rpi-wifi-firmware since that package is out of date. Updated dependencies nerves_system_br: bump to v1.13.4 Erlang/OTP 23.1.4 boardid 1.10.0 Improvements Enabled reproducible builds in Buildroot to remove some timestamp and build path differences in firmware images. This helps delta firmware updates. The memory cgroup controller is no longer enabled by default. This was an upstream change. As a result, the memory cgroup directory is no longer mounted.","ref":"changelog.html#v1-13-1"},{"type":"extras","title":"Changelog - v1.13.0","doc":"This release updates to Buildroot 2020.08 and OTP 23.1.1. Updated dependencies nerves_system_br: bump to v1.13.2 Erlang/OTP 23.1.1 erlinit 1.8.0 nerves 1.7.0 New features Added support for updating the root filesystem using firmware patches. See the firmware patch docs for more information.","ref":"changelog.html#v1-13-0"},{"type":"extras","title":"Changelog - v1.12.2","doc":"This release updates to Buildroot 2020.05.1 and OTP 23.0.3 which are both bug fix releases. Updated dependencies nerves_system_br: bump to v1.12.4 Erlang/OTP 23.0.3 nerves_heart v0.3.0 New features The /data directory now exists for storing application-specific data. It is currently a symlink to /root . Using /data will eventually be encouraged over /root even though currently there is no advantage. This change makes it possible to start migrating paths in applications and libraries. Fixes Fixed old references to the -Os compiler flag. All C/C++ code will default to using -O2 now.","ref":"changelog.html#v1-12-2"},{"type":"extras","title":"Changelog - v1.12.1","doc":"Fixes Remove nerves_system_linter from hex package. This fixes mix dependency errors in projects that reference systems with different nerves_system_linter dependency specs.","ref":"changelog.html#v1-12-1"},{"type":"extras","title":"Changelog - v1.12.0","doc":"This release updates the system to use Buildroot 2020.05 and Erlang/OTP 23. Please see the respective release notes for updates and deprecations in both projects for changes that may affect your application. New features Support the Raspberry Pi Sense HAT's joystick Updated dependencies nerves_system_br v1.12.0 Erlang/OTP 23.0.2 Linux 4.19.118 (Raspberry Pi 1.2020601 tag) Raspberry Pi firmware 1.2020601","ref":"changelog.html#v1-12-0"},{"type":"extras","title":"Changelog - v1.11.2","doc":"Updated dependencies nerves_system_br v1.11.4 Erlang 22.3.4.1 fwup 1.7.0","ref":"changelog.html#v1-11-2"},{"type":"extras","title":"Changelog - v1.11.1","doc":"Updated dependencies nerves_system_br v1.11.2 Erlang 22.3.1 erlinit 1.7.0 - tty initialization support fwup 1.6.0 - xdelta3/VCDIFF patch support Enable unixodbc so that Erlang's odbc application can be used in projects","ref":"changelog.html#v1-11-1"},{"type":"extras","title":"Changelog - v1.11.0","doc":"This release updates Buildroot to 2020.02 and upgrades gcc from 8.3 to 9.2. While this is a minor version bump due to the Buildroot release update, barring advanced usage of Nerves, this is a straightforward update from v1.10.2. Updated dependencies nerves_system_br v1.11.0 linux 4.19.97 (raspberrypi-kernel_1.20200212-1 tag) Erlang 22.2.8","ref":"changelog.html#v1-11-0"},{"type":"extras","title":"Changelog - v1.10.2","doc":"Fixes This fixes a regression on OSX where the USB gadget Ethernet would incorrectly try to go into RNDIS mode and not work. Gadget Ethernet works with this fix on Linux and OSX. It also works on Windows with a driver installed. Updated dependencies nerves_system_br v1.10.2 Erlang 22.2.4","ref":"changelog.html#v1-10-2"},{"type":"extras","title":"Changelog - v1.10.1","doc":"This release changes the behavior of the gadget port as well as the UART pins on the GPIO header. The gadget driver has been changed to use g_ether. This provides a more stable network connection at the expense of the virtual serial port. Console access has been output to the UART. If you were using the UART to connect to peripherals, you will need to disable the console. See: https://hexdocs.pm/nerves/advanced-configuration.html#overwriting-files-in-the-boot-partition for more information. Enhancements Set expand=true on the application data partition. This will only take effect for users running the complete task, fwup will not expand application data partitions that exist during upgrade tasks. linux: swap the cdc composite gadget for g_ether Updated dependencies nerves_system_br v1.10.1 Erlang 22.2.3","ref":"changelog.html#v1-10-1"},{"type":"extras","title":"Changelog - v1.10.0","doc":"This release updates Buildroot to 2019.11 with security and bug fix updates across Linux packages. Enables dnsd, udhcpd and ifconfig in the default Busybox configuration to support vintage_net and vintage_net_wizard . See the nerves_system_br notes for details. Updated dependencies nerves_system_br v1.10.0 Erlang 22.1.8","ref":"changelog.html#v1-10-0"},{"type":"extras","title":"Changelog - v1.9.2","doc":"This release updates Buildroot to 2019.08.2 with security and bug fix updates across Linux packages. See the nerves_system_br notes for details. Erlang/OTP is now at 22.1.7. Updated dependencies nerves_system_br v1.9.5","ref":"changelog.html#v1-9-2"},{"type":"extras","title":"Changelog - v1.9.1","doc":"This release pulls in security and bug fix updates from nerves_system_br . Erlang/OTP is now at 22.1.1. Bug fixes This system should work out of the box now with Scenic and the offical RPi Touchscreen display. The issue preventing it from working has been fixed. Updated dependencies nerves_system_br v1.9.4 linux - update to the raspberrypi-kernel_1.20190925-1 tag","ref":"changelog.html#v1-9-1"},{"type":"extras","title":"Changelog - v1.9.0","doc":"This release updates Buildroot to 2019.08 with security and bug fix updates across Linux packages. See the nerves_system_br notes for details. Updated dependencies nerves_system_br v1.9.2","ref":"changelog.html#v1-9-0"},{"type":"extras","title":"Changelog - v1.8.2","doc":"This release fixes an issue that broke display output on small LCD screens. Updating the Raspberry Pi firmware to the latest from the Raspberry Pi Foundation fixed the issue. See https://github.com/fhunleth/rpi_fb_capture/issues/2 for details. Updated dependencies nerves_system_br v1.8.5","ref":"changelog.html#v1-8-2"},{"type":"extras","title":"Changelog - v1.8.1","doc":"Updated dependencies nerves_system_br v1.8.4 Linux 4.19.58 with patches from the Raspberry Pi Foundation","ref":"changelog.html#v1-8-1"},{"type":"extras","title":"Changelog - v1.8.0","doc":"This release This release updates Erlang to OTP 22 and gcc from version 7.3.0 to 8.3.0. See the nerves_system_br and toolchain release notes for more information. Enhancements Enable source-based routing in the Linux kernel to support vintage_net Updated dependencies Erlang 22.0.4 nerves_system_br v1.8.2 nerves_toolchain_arm_unknown_linux_gnueabihf v1.2.0","ref":"changelog.html#v1-8-0"},{"type":"extras","title":"Changelog - v1.7.2","doc":"Bux fixes Add TAR option --no-same-owner to fix errors when untarring artifacts as the root user. Updated dependencies nerves_system_br v1.7.2","ref":"changelog.html#v1-7-2"},{"type":"extras","title":"Changelog - v1.7.1","doc":"This release fixes a major issue with the gadget USB port where it would hang on boot. If you have made a custom system or are overriding the erlinit.config file in your project, please make sure that your erlinit.config has: -c null -s &quot;/usr/bin/nbtty --tty /dev/ttyGS0 --wait-input&quot; Bug fixes Fix regression with virtual serial port where it could cause the whole USB interface to hang. Improvements Bump C compiler options to -O2 from -Os . This provides a small, but measurable performance improvement (500ms at boot in a trivial RPi0 project). Updated dependencies nerves_system_br v1.7.1","ref":"changelog.html#v1-7-1"},{"type":"extras","title":"Changelog - v1.7.0","doc":"This release bumps the Linux kernel to 4.19.25. This change had an impact on how the WiFi regulatory database gets loaded into the kernel. Instead of building it into the kernel as previously done, the kernel loads it on demand. This requires that all WiFi drivers be built as kernel modules so that the database isn't loaded before the root filesystem is mounted. If you made a custom system and see boot errors about not being able to load the regulatory database, this is the problem. A known bug with the Raspberry Pi Zero USB gadget interface is that it sometimes doesn't load on Linux systems. Moving the gadget drivers to kernel modules seems to work around this but it takes longer to load the gadget interface. Updated dependencies nerves_system_br v1.7.0 Linux 4.19.25 with patches from the Raspberry Pi Foundation","ref":"changelog.html#v1-7-0"},{"type":"extras","title":"Changelog - v1.6.3","doc":"Updated dependencies nerves_system_br v1.6.8 Erlang 21.2.6","ref":"changelog.html#v1-6-3"},{"type":"extras","title":"Changelog - v1.6.2","doc":"Updated dependencies nerves_system_br v1.6.6 Erlang 21.2.4 boardid 1.5.3","ref":"changelog.html#v1-6-2"},{"type":"extras","title":"Changelog - v1.6.1","doc":"Updated dependencies nerves_system_br v1.6.5 Erlang 21.2.2 boardid 1.5.2 erlinit 1.4.9 OpenSSL 1.1.1a Linux 4.14.89 with patches from the Raspberry Pi Foundation Enhancements Moved boardid config from inside erlinit.config to /etc/boardid.config Compile gpiomem into the Linux kernel Enable pstore, an in-memory buffer that can capture logs, kernel oops and other information when unexpected reboots. The buffer can be recovered on the next boot where it can be inspected.","ref":"changelog.html#v1-6-1"},{"type":"extras","title":"Changelog - v1.6.0 and before","doc":"See nerves_system_rpi3/CHANGELOG.md for history before this was forked off of nerves_system_rpi3","ref":"changelog.html#v1-6-0-and-before"}]